/**
 * @export
 * @enum {number}
 */
export enum AuthType {
    AuthTypeSASLNone = 0,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLCRAMMD5 = 1 << 0,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLPlain = 1 << 1,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLGSSAPI = 1 << 2,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLDIGESTMD5 = 1 << 3,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLLogin = 1 << 4,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLSRP = 1 << 5,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLNTLM = 1 << 6,
    // tslint:disable-next-line: no-bitwise
    AuthTypeSASLKerberosV4 = 1 << 7,
    // tslint:disable-next-line: no-bitwise
    AuthTypeXOAuth2 = 1 << 8,
    // tslint:disable-next-line: no-bitwise
    AuthTypeXOAuth2Outlook = 1 << 9,
};
